BrlAPI: Writing on the braille display

Main Page | Modules | Data Structures | File List | Data Fields | Globals

# Writing on the braille display

write text to the braille display More...

## Data Structures
struct | brlapi_writeStruct
## Defines
#define | BRLAPI_WRITESTRUCT_INITIALIZER { -1, 0, 0, NULL, NULL, NULL, -1};
## Functions
int | brlapi_writeText (int cursor, const unsigned char *str)
int | brlapi_writeDots (const unsigned char *dots)
int | brlapi_write (const brlapi_writeStruct *s)

## Detailed Description

Once brlapi_getTty() was called, the application can call brlapi_writeText() to write things on the braille display.

Note:
  Be sure to call brlapi_getTty() before calling brlapi_write*(), or else you'll get an error. This is particularly not always trivial when writing multithreaded applications.

## Define Documentation

#define BRLAPI_WRITESTRUCT_INITIALIZER { -1, 0, 0, NULL, NULL, NULL, -1};

| Allows to initialize a structure of type brlapi_writeStruct * with default values: displayNumber = -1; (unspecified) regionBegin = regionEnd = 0; (update the whole display) text = attrAnd = attrOr = NULL; (no text, no attribute) cursor = -1; (don't touch cursor)

## Function Documentation

int brlapi_write | ( | const brlapi_writeStruct * | s | ) |

  | Update a specific region of the braille display and apply and/or masks Parameters:
  | s | gives information necesarry for the update
Returns: 0 on success, -1 on error.

int brlapi_writeDots | ( | const unsigned char * | dots | ) |

  | Write the given dots array to the display Parameters:
  | dots | points on an array of dot information, one per character. Its size must hence be the same as what brlapi_getDisplaySize() returns.
Returns: 0 on success, -1 on error.

int brlapi_writeText | ( | int | cursor,
|  | const unsigned char * | str
| ) |

  | Write the given \0-terminated string to the braille display If the string is too long, it is cut. If it's too short, spaces are appended. Parameters:
  | cursor | gives the cursor position; if equal to 0, no cursor is shown at all;
  | str | points on the string to be displayed.
Returns: 0 on success, -1 on error.